package form.comp;

import java.lang.*;
import java.awt.*;

public class PasswordPanel extends Panel {
	private TextField user = null;
	private TextField pass = null;
	private TextField host = null;
	private String id = null;
	private Label desc = null;

public PasswordPanel(String[] pwdata){
super(new GridBagLayout());

//	GridBagLayout gb = new GridBagLayout();
	Constraints c = new Constraints();

	id = pwdata[0];

	desc = new Label(pwdata[1]);
	c.gridwidth = 0;
	add(desc,c);

	c.gridwidth = 1;
	Label lab = new Label("user");
	add(lab,c);

	lab = new Label("password");
	add(lab,c);

	c.gridwidth = 0;
	lab = new Label("host name or ip");
	add(lab,c);

	c.gridwidth = 1;
	user = new TextField(pwdata[2]);
	add(user,c);

	pass = new TextField(pwdata[3]);
	pass.setEchoChar('*');
	add(pass,c);

	c.gridwidth = 0;
	host = new TextField(pwdata[4]);
	add(host,c);
	validate();
	setVisible(true);
}
public String getUser(){ return user.getText();}
public String getPass(){ return pass.getText();}
public String getHost(){ return host.getText();}
public String getId(){ return id;}
}
